Subject: Re: [PATCH] C implementation of the 'git' program.

From: Andreas Ericsson <[email-masked]>
Date: Thu, 10 Nov 2005 23:50:16 +0100

Linus Torvalds wrote:
> 
> And the performance difference does seem to be quite noticeable too..
> 

Yes. I was quite astonished when I noticed first, thinking the shell 
kept the parsed script in cache or some such. Apparently it doesn't.

> 
>>The location of the GIT_LIB can be obtained by running
>>
>>	git --lib
> 
> 
> I think this might be a bit ambiguous. When I see "GIT_LIB", to me it 
> implies traditional libraries (ie a "libgit.a" kind of thing), not the 
> kind of "git executable plugin" directory.
> 
> So I'd suggest renaming "--lib" and "GIT_LIB" to be more of a "--libexec" 
> kind of flavor, if only to avoid that confusion.

Someone said libexec was moving out (of Linux, at least), so I thought 
I'd better avoid that. Perhaps GIT_LIBDIR?

Btw, I re-visited ye ole "git binary directory?" thread and noticed the 
nifty trick you did with PATH from the wrapper. I'll add that to git.c 
and, unless I get a better suggestion, rename GIT_LIB to GIT_LIBDIR (and 
git --libdir).

> Even if the actual 
> directory ends up being /usr/lib/git-<version>/ as in my original 
> suggestion, I think it's good to make it clear that it's not just some 
> kind of "link type" library, but more of a combination of libraries and 
> plugins and executables.
> 
> But maybe that's just me?
> 

It's not just you, but GIT_DIR was taken and I felt lazy.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231